#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Intel Media SDK dispatcher library
Summary(pl.UTF-8):	Biblioteka dispatchera z Intel Media SDK
Name:		mfx_dispatch
# grep ^AC_INIT configure.ac
Version:	1.7
%define	snap	20141205
%define	gitrev	e1594a0ca6b10a1f26f47009cb035b49be561b93
Release:	0.%{snap}.1
License:	BSD
Group:		Libraries
Source0:	https://github.com/lu-zero/mfx_dispatch/archive/%{gitrev}/%{name}.tar.gz
# Source0-md5:	38e6c5df57f9291132351639cd2cb2f5
URL:		https://github.com/lu-zero/mfx_dispatch
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libva-drm-devel
BuildRequires:	libva-x11-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Intel Media SDK dispatcher library.

%description -l pl.UTF-8
Biblioteka dispatchera z Intel Media SDK.

%package devel
Summary:	Header files for MFX library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MFX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	libva-drm-devel
Requires:	libva-x11-devel

%description devel
Header files for MFX library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MFX.

%package static
Summary:	Static MFX library
Summary(pl.UTF-8):	Statyczna biblioteka MFX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MFX library.

%description static -l pl.UTF-8
Statyczna biblioteka MFX.

%prep
%setup -q -n %{name}-%{gitrev}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmfx.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_libdir}/libmfx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmfx.so.0

%files devel
%defattr(644,root,root,755)
%doc readme-dispatcher.rtf
%attr(755,root,root) %{_libdir}/libmfx.so
%{_includedir}/mfx
%{_pkgconfigdir}/libmfx.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmfx.a
%endif
%changelog
* Tue Mar 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mfx_dispatch.git;a=log;h=master

* Tue Mar 24 2015 Jakub Bogusz <qboosh@pld-linux.org> f269376
- new

